* E Posta Adresiniz:
* Kodu Girin:

İleti Yazar
28.05.2019 02:44
87422    
k005

[10] Üstad

Online Durumu

638 ileti
İnşaat Teknikeri
Düzce

Merhaba arkadaşlar ,

Uzun bi aradan sonra bir soru ile yine buralardayım

Ölçü çizgisi üzerindeki yazıyı;

Örnek :

1210 yatay ölçü , 1120 yatay ölçü , 320 dikey ölçü. Bu ölçüleri seçip,

Beton : 12,10 x 11.20 x 3,20 x 0,50 biçiminde çizim ekranına text obje olarak nasıl yazdırabilirim ?

Not : 0,50 manuel girilecek . Diğer ölçüler çizimden seçilip 100 bölünecek...

Yardımcı arkadaşa şimdiden TeŞeKkÜrLeR.

29.05.2019 06:36
87423    
ehya

[90] Yönetici

Online Durumu

3278 ileti
Teknik Ressam
Ankara

Kod:

(setq msp (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object))))
(if (setq ent1 (car (entsel "\n1.ölçü:")))
  (if (setq ent2 (car (entsel "\n2.ölçü:")))
      (if (setq deg (getreal "\nSayı"))
(if (setq pt (getpoint "\nReferans Nokta:"))
  (progn
    (setq dt1 (vlax-ename->vla-object ent1)
  dt2 (vlax-ename->vla-object ent2))
    (if (= (vla-get-textoverride dt1) "")
      (setq dg1 (vla-get-measurement dt1))
      (setq dg1 (vla-get-textoverride dt1)))
    (if (vla-get-textoverride dt2)
      (setq dg2 (vla-get-measurement dt2))
      (setq dg2 (vla-get-textoverride dt2)))
    (setq brl (strcat (rtos dg1 2 2)" X " (rtos dg2 2 2) " X " (rtos deg 2 2)))
(vla-addtext msp brl (vlax-3d-point pt) 5)
)))))

29.05.2019 16:57
87424    
k005

[10] Üstad

Online Durumu

638 ileti
İnşaat Teknikeri
Düzce

ehya;


Hocam çok teşekkür ediyorum, Tamamdır...

> 1 <
Copyright © 2004-2019 | Tüm Hakları Saklıdır | 336 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam | İletişim